- hosts: local
  tasks:
    - name: Define the backend configuration at init
      community.general.terraform:
        project_path: 'terraform/'
        state: present
        variables:
          do_token: "{{ do_token }}"
      register: terraform

    - name: Create iventory
      ansible.builtin.template:
        src: inventory.ini.j2
        dest: webservers.ini

- hosts: webservers
  tasks:
    - name: Install packages
      apt:
        name: python3-pip
        update_cache: yes

    - name: Install Docker Module for Python
      pip:
        name: docker

    - name: Run container
      community.docker.docker_container:
        name: devops-example-app
        image: hexletcomponents/devops-example-app
        published_ports: 5000:5000
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        env:
          SERVER_MESSAGE: '{{ ansible_default_ipv4.address }}'
